update to latest upstream release
[openwrt/svn-archive/archive.git] / openwrt / package / irssi / patches / 100-cross_compiling_fix.patch
1 diff -ruN irssi-0.8.10.orig/configure irssi-0.8.10/configure
2 --- irssi-0.8.10.orig/configure 2005-12-11 23:46:06.000000000 +0100
3 +++ irssi-0.8.10/configure 2006-02-24 13:19:21.570891250 +0100
4 @@ -21848,13 +21848,6 @@
5
6 echo "$as_me:$LINENO: checking size of off_t" >&5
7 echo $ECHO_N "checking size of off_t... $ECHO_C" >&6
8 -if test "$cross_compiling" = yes; then
9 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
10 -See \`config.log' for more details." >&5
11 -echo "$as_me: error: cannot run test program while cross compiling
12 -See \`config.log' for more details." >&2;}
13 - { (exit 1); exit 1; }; }
14 -else
15 cat >conftest.$ac_ext <<_ACEOF
16 /* confdefs.h. */
17 _ACEOF
18 @@ -21872,35 +21865,8 @@
19 }
20
21 _ACEOF
22 -rm -f conftest$ac_exeext
23 -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
24 - (eval $ac_link) 2>&5
25 - ac_status=$?
26 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
27 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
28 - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29 - (eval $ac_try) 2>&5
30 - ac_status=$?
31 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
32 - (exit $ac_status); }; }; then
33 -
34 - sizeof_off_t=`cat conftestval`
35 - rm -f conftestval
36 -
37 -else
38 - echo "$as_me: program exited with status $ac_status" >&5
39 -echo "$as_me: failed program was:" >&5
40 -sed 's/^/| /' conftest.$ac_ext >&5
41 -
42 -( exit $ac_status )
43 -
44 - { { echo "$as_me:$LINENO: error: Unsupported off_t size" >&5
45 -echo "$as_me: error: Unsupported off_t size" >&2;}
46 - { (exit 1); exit 1; }; }
47 -
48 -fi
49 + sizeof_off_t=8
50 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
51 -fi
52 echo "$as_me:$LINENO: result: $sizeof_off_t" >&5
53 echo "${ECHO_T}$sizeof_off_t" >&6
54